For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • GETReturns all teams.
      • POSTCreates a new team.
      • GETReturns the team with the specified id.
      • PUTUpdates the team with the specified id.
      • DELDeletes the team with the specified id.
      • POSTAdds projects to the specified team.
      • POSTAdds users to the specified team.
      • POSTRemoves projects from the specified team.
      • POSTRemoves users from the specified team.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTeams

Updates the team with the specified id.

PUT
https://api.awork.com/api/v1/teams/:teamId
PUT
/api/v1/teams/:teamId
$curl -X PUT https://api.awork.com/api/v1/teams/teamId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Designers"
>}'
1{
2 "name": "Designers",
3 "icon": "image",
4 "color": "purple",
5 "id": "123e4567-e89b-12d3-a456-426614174000",
6 "createdOn": "2024-01-15T09:30:00Z",
7 "createdBy": "987f6543-e21b-45d3-b789-123456789abc",
8 "updatedOn": "2024-04-10T14:45:00Z",
9 "updatedBy": "987f6543-e21b-45d3-b789-123456789abc",
10 "userIds": [
11 "a12b34c5-d678-90ef-1234-56789abcdef0",
12 "b23c45d6-e789-01fa-2345-6789abcdef01"
13 ],
14 "projectIds": [
15 "c34d56e7-f890-12ab-3456-789abcdef012",
16 "d45e67f8-0abc-23cd-4567-89abcdef0123"
17 ]
18}
<Check title="Required Permissions" icon="key">The user must be an admin.</Check>
Was this page helpful?
Previous

Deletes the team with the specified id.

Next
Built with
Required Permissions
The user must be an admin.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

teamIdstringRequiredformat: "uuid"
The id of the team to update.

Query parameters

includeUserIdsbooleanOptionalDefaults to false
Whether to include the ids of users that are in the team.
includeProjectIdsbooleanOptionalDefaults to false
Whether to include the ids of projects that are assigned to the team.

Request

The model with the team data.
namestringRequired0-255 characters
The team name.
iconstring or nullOptional0-25 characters

The icon of the team. Optional. Possible values: ‘attach_money’, ‘poll’, ‘golf_course’, ‘all_inclusive’, ‘portrait’, ‘timeline’, ‘transform’, ‘description’, ‘folder’, ‘computer’, ‘web’, ‘phone_iphone’, ‘cloud’, ‘local_movies’, ‘shopping_cart’, ‘brush’, ‘image’, ‘camera_alt’, ‘movie_creation’, ‘public’, ‘whatshot’, ‘extension’, ‘explore’, ‘lock’, ‘settings’, ‘stars’, ‘store’, ‘school’, ‘local_bar’, ‘question_answer’, ‘favorite’, ‘work’, ‘flight_takeoff’, ‘map’, ‘local_dining’.

colorstring or nullOptional0-14 characters

The color of the team. Optional. Possible values: ‘red’, ‘coral’, ‘yellow’, ‘green’, ‘teal’, ‘arctic’, ‘blue’, ‘azure’, ‘purple’, ‘violet’.

Response

OK
namestring0-255 characters
The team name.
iconstring or null0-25 characters

The icon of the team. Optional. Possible values: ‘attach_money’, ‘poll’, ‘golf_course’, ‘all_inclusive’, ‘portrait’, ‘timeline’, ‘transform’, ‘description’, ‘folder’, ‘computer’, ‘web’, ‘phone_iphone’, ‘cloud’, ‘local_movies’, ‘shopping_cart’, ‘brush’, ‘image’, ‘camera_alt’, ‘movie_creation’, ‘public’, ‘whatshot’, ‘extension’, ‘explore’, ‘lock’, ‘settings’, ‘stars’, ‘store’, ‘school’, ‘local_bar’, ‘question_answer’, ‘favorite’, ‘work’, ‘flight_takeoff’, ‘map’, ‘local_dining’.

colorstring or null0-14 characters

The color of the team. Optional. Possible values: ‘red’, ‘coral’, ‘yellow’, ‘green’, ‘teal’, ‘arctic’, ‘blue’, ‘azure’, ‘purple’, ‘violet’.

idstringformat: "uuid"
The id of the team.
createdOnstringformat: "date-time"
The date this team was created.
createdBystring or nullformat: "uuid"
The id of the user who created this team.
updatedOnstringformat: "date-time"
The date this team was last modified.
updatedBystring or nullformat: "uuid"
The id of the user who last updated this team.
userIdslist of strings or null
The ids of the users in the team.
projectIdslist of strings or null
The ids of the projects in the team.

Errors

404
Not Found Error